#!/bin/sh

echo "pre-uninstall"

container=$(docker container ls -a | grep AdGuardHome | awk '{print $1}')
im=$(docker images | grep adguard/adguardhome | grep v0.107.6 | awk '{print $3}')

echo $container
echo $im

if [ ! -z $container ]; then 
	docker rm -f $container
fi

if [ ! -z $im ]; then 
	if [ "$APKG_PKG_STATUS" == "uninstall" ]; then
		docker rmi -f $im
	fi
fi

